define(["require", "exports", "../../constants", "./flow_node"], function (require, exports, constants_1, flow_node_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Describes a BPMN StartEvent.
     */
    class StartEvent extends flow_node_1.FlowNode {
        get bpmnType() {
            return constants_1.BpmnType.startEvent;
        }
        get eventType() {
            const eventIsMessageEvent = this.messageEventDefinition !== undefined;
            if (eventIsMessageEvent) {
                return constants_1.EventType.messageEvent;
            }
            const eventIsSignalEvent = this.signalEventDefinition !== undefined;
            if (eventIsSignalEvent) {
                return constants_1.EventType.signalEvent;
            }
            const eventIsTimerEvent = this.timerEventDefinition !== undefined;
            if (eventIsTimerEvent) {
                return constants_1.EventType.timerEvent;
            }
            return undefined;
        }
    }
    exports.StartEvent = StartEvent;
});
//# sourceMappingURL=start_event.js.map