import { BpmnType } from '../../constants';
import { LaneSet, SequenceFlow } from '../process/index';
import { FlowNode } from './flow_node';
/**
 * Describes a BPMN Subprocess.
 *
 * Technically they work like normal processes, except that they exist only
 * within another process and are treated like an activity for that process.
 */
export declare class SubProcess extends FlowNode {
    readonly bpmnType: BpmnType;
    laneSet?: LaneSet;
    flowNodes: Array<FlowNode>;
    sequenceFlows: Array<SequenceFlow>;
}
