import { BaseElement, FlowNode } from '../flow_nodes/index';
import { LaneSet } from './lane_set';
import { SequenceFlow } from './sequence_flow';
/**
 * Describes a BPMN Process.
 * Any and all information about FlowNodes, SequenceFlows and Lanes is
 * stored here.
 * This is the root element for working with ProcessModels.
 */
export declare class Process extends BaseElement {
    name: string;
    isExecutable: boolean;
    laneSet?: LaneSet;
    flowNodes: Array<FlowNode>;
    sequenceFlows: Array<SequenceFlow>;
}
