import { IIdentity } from '@essential-projects/iam_contracts';
/**
 * The base class for definining BPMN event messages.
 * BPMN events are events which are contained within a ProcessModel, such as
 * EndEvents, etc.
 */
export declare class BaseBpmnEventMessage {
    readonly correlationId: string;
    readonly processModelId: string;
    readonly processInstanceId: string;
    readonly flowNodeId: string;
    readonly flowNodeName: string;
    readonly flowNodeInstanceId: string;
    readonly processInstanceOwner: IIdentity;
    readonly currentToken: any;
    constructor(correlationId: string, processModelId: string, processInstanceId: string, flowNodeId: string, flowNodeInstanceId: string, processInstanceOwner: IIdentity, currentToken: any, flowNodeName?: string);
}
